projects with relative SVG files are taken into consideration by Server relative to qgis_mapserv.fcgi

2015-10-29 02:54 AM - Tudor Bărăscu

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21730

Description

If you’re using the QGIS project with styling based on SVG files using relative paths then you should know that the server considers the

path relative to its qgis_mapserv.fcgi file (not to the qgs file). So, if you deploy on the server a project and the SVG files are not placed

accordingly, the output images may not respect the Desktop styling. To ensure this doesn’t happen, you can simply copy the SVG files

relative to the qgis_mapserv.fcgi. You can also create a symbolic link in the directory where the fcgi file resides that points to the directory

containing the SVG files (on Linux/Unix).

It affects 2.8, latest stable (2.12) and master.

History

#1 - 2015-10-29 03:02 AM - Alessandro Pasotti

The current behavior is documented:

https://github.com/tudorbarascu/QGIS-Documentation/blob/master/source/docs/user_manual/working_with_ogc/ogc_server_support.rst

Don't forget to update the manual when fixed.

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#4 - 2018-10-26 10:21 AM - Tudor Bărăscu

- Status changed from Open to Closed

It now works as it should on 3.3 Master
